## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/transfers/

{id}/

failure

### cURL

```
curl -X GET https://api-sandbox.dwolla.com/transfers/8997ebed-69be-e611-80ea-0aa34a9b2388/failure \ 
-H "Accept: application/vnd.dwolla.v1.hal+json" \ 
-H "Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY"
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
var transferUrl =
  "https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388";

dwolla.get(`${transferUrl}/failure`).then((res) => res.body.code); // => 'R01'
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388'

failure = app_token.get('%s/failure' % transfer_url)
failure.body['code'] # => 'R01'
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388';

$transfersApi = new DwollaSwagger\TransfersApi($apiClient);

$transferFailure = $transfersApi->failureById($transferUrl);
$transferFailure->code; # => "R01"
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
transfer_url = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388'

failure = app_token.get "#{transfer_url}/failure"
failure.code # => "R01"
```

### Response Codes

- **200**: Successful operation
- **403**: The supplied credentials are not authorized for this resource.
- **404**: The requested resource was not found.

### Example Responses

#### Success Response
```json
{
  "code": "R03",
  "description": "No Account/Unable to Locate Account",
  "_links": {},
  "explanation": "The account number does not correspond to the individual identified in the entry or a valid account."
}
```

#### Forbidden Response
```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

#### Not Found Response
```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

**Authorization**
- *Type*: string (header)
- *Required*: Yes
- *Description*: The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**
- *Type*: enum<string>
- *Default*: application/vnd.dwolla.v1.hal+json
- *Required*: Yes
- *Description*: The media type of the response.

Available options:
- `application/vnd.dwolla.v1.hal+json`

### Path Parameters

- **id**: string (required)  
  *Description*: Transfer unique identifier.

### Response
- **200**: application/vnd.dwolla.v1.hal+json successful operation  
**code**: string (required)  
Example: `
